<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'dentist_dental_care_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'dentist-dental-care' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'dentist-dental-care' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'dentist-dental-care' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'dentist_dental_care_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'dentist-dental-care' ),
	) );

	Kirki::add_section( 'dentist_dental_care_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'dentist-dental-care' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_all_headings_typography',
		'section'     => 'dentist_dental_care_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'dentist_dental_care_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'dentist-dental-care' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_body_content_typography',
		'section'     => 'dentist_dental_care_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'dentist_dental_care_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'dentist-dental-care' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'dentist_dental_care_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'dentist-dental-care' ),
	) );

	// Additional Settings

	Kirki::add_section( 'dentist_dental_care_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'dentist-dental-care' ),
	    'description'    => esc_html__( 'Scroll To Top', 'dentist-dental-care' ),
	    'panel'          => 'dentist_dental_care_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'dentist_dental_care_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_additional_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'dentist_dental_care_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'dentist-dental-care' ),
			'Center' => esc_html__( 'Center', 'dentist-dental-care' ),
			'Right'  => esc_html__( 'Right', 'dentist-dental-care' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'dentist_dental_care_scroll_top_icon',
		'label'    => esc_html__( 'Select Appropriate Scroll Top Icon', 'dentist-dental-care' ),
		'section'  => 'dentist_dental_care_additional_settings',
		'default'  => 'dashicons dashicons-arrow-up-alt',
		'priority' => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_dentist_dental_care',
		'label'       => esc_html__( 'Menus Text Transform', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_additional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'dentist-dental-care' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'dentist-dental-care' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'dentist-dental-care' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'None' => __('None','dentist-dental-care'),
            'Zoominn' => __('Zoom Inn','dentist-dental-care'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'dentist_dental_care_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'dentist_dental_care_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','dentist-dental-care'),
            'Right Sidebar' => __('Right Sidebar','dentist-dental-care'),
            'One Column' => __('One Column','dentist-dental-care')
		],
	] );


	if ( class_exists("woocommerce")){

	// Woocommerce Settings

	Kirki::add_section( 'dentist_dental_care_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'dentist-dental-care' ),
			'description'    => esc_html__( 'Shop Page', 'dentist-dental-care' ),
			'panel'          => 'dentist_dental_care_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'dentist_dental_care_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'dentist_dental_care_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'dentist_dental_care_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
		[
			'settings' => 'dentist_dental_care_per_columns',
			'label'    => esc_html__( 'Product Per Row', 'dentist-dental-care' ),
			'section'  => 'dentist_dental_care_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'dentist_dental_care_product_per_page',
			'label'    => esc_html__( 'Product Per Page', 'dentist-dental-care' ),
			'section'  => 'dentist_dental_care_woocommerce_settings',
			'default'  => 9,
			'choices'  => [
				'min'  => 1,
				'max'  => 15,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'custom_related_products_number_per_row',
			'label'    => esc_html__( 'Related Product Per Column', 'dentist-dental-care' ),
			'section'  => 'dentist_dental_care_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
		);

	new \Kirki\Field\Number(
		[
			'settings' => 'custom_related_products_number',
			'label'    => esc_html__( 'Related Product Per Page', 'dentist-dental-care' ),
			'section'  => 'dentist_dental_care_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 10,
				'step' => 1,
			],
		]
		);

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','dentist-dental-care'),
            'Right Sidebar' => __('Right Sidebar','dentist-dental-care')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','dentist-dental-care'),
            'Right Sidebar' => __('Right Sidebar','dentist-dental-care')
		],
	] );

		new \Kirki\Field\Radio_Buttonset( [
		'settings'    => 'dentist_dental_care_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'dentist-dental-care' ),
			'Center' => esc_html__( 'Center', 'dentist-dental-care' ),
			'Right'  => esc_html__( 'Right', 'dentist-dental-care' ),
		],
	]
	);
}

	// Breadcrumb
	Kirki::add_section( 'dentist_dental_care_coach_bradcrumb', array(
	    'title'          => esc_html__( 'Breadcrumb Settings', 'dentist-dental-care' ),
	    'description'    => esc_html__( 'Here you can get Breadcrumb settings', 'dentist-dental-care' ),
	    'panel'          => 'dentist_dental_care_coach_panel_id',
	    'priority'       => 160,
	) );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_coach_enable_breadcrumb_heading',
		'section'     => 'dentist_dental_care_coach_bradcrumb',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Single Page Breadcrumb', 'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_coach_breadcrumb_enable',
		'label'       => esc_html__( 'Breadcrumb Enable / Disable', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_coach_bradcrumb',
		'default'     => true,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'default'     => '/',
        'settings' => 'dentist_dental_care_coach_breadcrumb_separator' ,
        'label'    => esc_html__( 'Breadcrumb Separator',  'dentist-dental-care' ),
        'section'  => 'dentist_dental_care_coach_bradcrumb',
    ] );

	// POST SECTION

	Kirki::add_section( 'dentist_dental_care_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'dentist-dental-care' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'dentist-dental-care' ),
	    'panel'          => 'dentist_dental_care_panel_id',
	    'priority'       => 160,
	) );

	new \Kirki\Field\Sortable(
	[
		'settings' => 'dentist_dental_care_archive_element_sortable',
		'label'    => __( 'Archive Post Page element Reordering', 'dentist-dental-care' ),
		'section'  => 'dentist_dental_care_section_post',
		'default'  => [ 'option1', 'option2', 'option3' ],
		'choices'  => [
			'option1' => esc_html__( 'Post Meta', 'dentist-dental-care' ),
			'option2' => esc_html__( 'Post Title', 'dentist-dental-care' ),
			'option3' => esc_html__( 'Post Content', 'dentist-dental-care' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'dentist_dental_care_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'dentist_dental_care_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','dentist-dental-care'),
            'Right Sidebar' => __('Right Sidebar','dentist-dental-care')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','dentist-dental-care'),
            'Right Sidebar' => __('Right Sidebar','dentist-dental-care')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','dentist-dental-care'),
            'Right Sidebar' => __('Right Sidebar','dentist-dental-care')
		],
	] );

	Kirki::add_field( 'dentist_dental_care_config', [
		'type'        => 'select',
		'settings'    => 'dentist_dental_care_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'dentist-dental-care' ),
				'2' => __( '2 Column', 'dentist-dental-care' ),
				'3' => __( '3 Column', 'dentist-dental-care' ),
				'4' => __( '4 Column', 'dentist-dental-care' ),
			],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'dentist_dental_care_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'dentist-dental-care' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'dentist-dental-care' ),
        'panel'          => 'dentist_dental_care_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_enable_heading',
		'section'     => 'dentist_dental_care_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_button_unable_disable',
		'label'       => esc_html__( 'Slide Button Enable / Disable', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_slider_heading',
		'section'     => 'dentist_dental_care_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'dentist_dental_care_slider_extra_heading' ,
        'label'    => esc_html__( 'Extra Heading',  'dentist-dental-care' ),
        'section'  => 'dentist_dental_care_blog_slide_section',
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'dentist_dental_care_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'dentist_dental_care_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'dentist-dental-care' ),
		'priority'    => 10,
		'choices'     => dentist_dental_care_get_categories_select(),
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'dentist-dental-care' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'dentist-dental-care' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'dentist-dental-care' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => '0.5',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'0' => esc_html__( '0', 'dentist-dental-care' ),
			'0.1' => esc_html__( '0.1', 'dentist-dental-care' ),
			'0.2' => esc_html__( '0.2', 'dentist-dental-care' ),
			'0.3' => esc_html__( '0.3', 'dentist-dental-care' ),
			'0.4' => esc_html__( '0.4', 'dentist-dental-care' ),
			'0.5' => esc_html__( '0.5', 'dentist-dental-care' ),
			'0.6' => esc_html__( '0.6', 'dentist-dental-care' ),
			'0.7' => esc_html__( '0.7', 'dentist-dental-care' ),
			'0.8' => esc_html__( '0.8', 'dentist-dental-care' ),
			'0.9' => esc_html__( '0.9', 'dentist-dental-care' ),
			'1.0' => esc_html__( '1.0', 'dentist-dental-care' ),

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'dentist_dental_care_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_blog_slide_section',
		'default'     => '',
	] );

	//OUR SERVICES SECTION

	Kirki::add_section( 'dentist_dental_care_what_we_do_section', array(
	    'title'          => esc_html__( 'Our Services Settings', 'dentist-dental-care' ),
	    'description'    => esc_html__( 'Here you can add services post.', 'dentist-dental-care' ),
	    'panel'          => 'dentist_dental_care_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_footer_enable_heading',
		'section'     => 'dentist_dental_care_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'dentist-dental-care' ),
			'off' => esc_html__( 'Disable', 'dentist-dental-care' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_enable_heading',
		'section'     => 'dentist_dental_care_what_we_do_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Our Services',  'dentist-dental-care' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'dentist_dental_care_what_we_do_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_what_we_do_section',
		'default'     => false,
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'dentist-dental-care' ),
			'off' => esc_html__( 'Disable',  'dentist-dental-care' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'dentist_dental_care_what_we_do_short_heading' ,
        'label'    => esc_html__( 'Short Heading',  'dentist-dental-care' ),
        'section'  => 'dentist_dental_care_what_we_do_section',
    ] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'dentist_dental_care_what_we_do_heading' ,
        'label'    => esc_html__( 'Heading',  'dentist-dental-care' ),
        'section'  => 'dentist_dental_care_what_we_do_section',
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'dentist_dental_care_what_we_do_left_number',
		'label'       => esc_html__( 'Number of post to show', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_what_we_do_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'dentist_dental_care_what_we_do_left_category',
		'label'       => esc_html__( 'Select the category to show post', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_what_we_do_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'dentist-dental-care' ),
		'priority'    => 10,
		'choices'     => dentist_dental_care_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'dentist_dental_care_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'dentist-dental-care' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'dentist-dental-care' ),
        'panel'          => 'dentist_dental_care_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'dentist_dental_care_footer_text_heading',
		'section'     => 'dentist_dental_care_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'dentist-dental-care' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'dentist_dental_care_footer_text',
		'section'  => 'dentist_dental_care_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'dentist_dental_care_footer_text_heading_2',
	'section'     => 'dentist_dental_care_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'dentist-dental-care' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'dentist_dental_care_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'dentist-dental-care' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'dentist-dental-care' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'dentist-dental-care' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'dentist-dental-care' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'dentist_dental_care_footer_text_heading_1',
	'section'     => 'dentist_dental_care_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'dentist-dental-care' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'dentist_dental_care_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'dentist-dental-care' ),
		'section'     => 'dentist_dental_care_footer_section',
		'default'     => '',
	] );
}
