<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_dentist_dental_care_dismissed_notice_handler', 'dentist_dental_care_ajax_notice_handler' );

/**
 * AJAX handler to store the state of dismissible notices.
 */
function dentist_dental_care_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        // Pick up the notice "type" - passed via jQuery (the "data-notice" attribute on the notice)
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        // Store it in the options table
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function dentist_dental_care_deprecated_hook_admin_notice() {
        // Check if it's been dismissed...
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_dentist-dental-care-guide-page') {
             $dentist_dental_care_comments_theme = wp_get_theme(); ?>
            <div class="dentist-dental-care-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="dentist-dental-care-notice">
				<div class="dentist-dental-care-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'dentist-dental-care'); ?>">
				</div>
				<div class="dentist-dental-care-notice-content">
					<div class="dentist-dental-care-notice-heading"><?php esc_html_e('Thanks for installing ','dentist-dental-care'); ?><?php echo esc_html( $dentist_dental_care_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'dentist-dental-care'), esc_url(admin_url('themes.php?page=dentist-dental-care-guide-page'))); ?></p>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'dentist_dental_care_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'dentist_dental_care_getting_started' );
function dentist_dental_care_getting_started() {
	add_theme_page( esc_html__('Get Started', 'dentist-dental-care'), esc_html__('Get Started', 'dentist-dental-care'), 'edit_theme_options', 'dentist-dental-care-guide-page', 'dentist_dental_care_test_guide');
}

function dentist_dental_care_admin_enqueue_scripts() {
	wp_enqueue_style( 'dentist-dental-care-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'dentist-dental-care-admin-script', get_template_directory_uri() . '/js/dentist-dental-care-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'dentist-dental-care-admin-script', 'dentist_dental_care_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'dentist_dental_care_admin_enqueue_scripts' );

if ( ! defined( 'DENTIST_DENTAL_CARE_DOCS_FREE' ) ) {
define('DENTIST_DENTAL_CARE_DOCS_FREE',__('https://demo.misbahwp.com/docs/dentist-dental-care-free-docs/','dentist-dental-care'));
}
if ( ! defined( 'DENTIST_DENTAL_CARE_DOCS_PRO' ) ) {
define('DENTIST_DENTAL_CARE_DOCS_PRO',__('https://demo.misbahwp.com/docs/dentist-dental-care-pro-docs','dentist-dental-care'));
}
if ( ! defined( 'DENTIST_DENTAL_CARE_BUY_NOW' ) ) {
define('DENTIST_DENTAL_CARE_BUY_NOW',__('https://www.misbahwp.com/products/dental-clinic-wordpress-theme/','dentist-dental-care'));
}
if ( ! defined( 'DENTIST_DENTAL_CARE_SUPPORT_FREE' ) ) {
define('DENTIST_DENTAL_CARE_SUPPORT_FREE',__('https://wordpress.org/support/theme/dentist-dental-care','dentist-dental-care'));
}
if ( ! defined( 'DENTIST_DENTAL_CARE_REVIEW_FREE' ) ) {
define('DENTIST_DENTAL_CARE_REVIEW_FREE',__('https://wordpress.org/support/theme/dentist-dental-care/reviews/#new-post','dentist-dental-care'));
}
if ( ! defined( 'DENTIST_DENTAL_CARE_DEMO_PRO' ) ) {
define('DENTIST_DENTAL_CARE_DEMO_PRO',__('https://demo.misbahwp.com/dentist-dental-care/','dentist-dental-care'));
}
if( ! defined( 'DENTIST_DENTAL_CARE_THEME_BUNDLE' ) ) {
define('DENTIST_DENTAL_CARE_THEME_BUNDLE',__('https://www.misbahwp.com/products/wordpress-bundle/','dentist-dental-care'));
}

function dentist_dental_care_test_guide() { ?>
	<?php $dentist_dental_care_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( DENTIST_DENTAL_CARE_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'dentist-dental-care' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'dentist-dental-care' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( DENTIST_DENTAL_CARE_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'dentist-dental-care' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( DENTIST_DENTAL_CARE_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'dentist-dental-care' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','dentist-dental-care'); ?><?php echo esc_html( $dentist_dental_care_theme ); ?>  <span><?php esc_html_e('Version: ', 'dentist-dental-care'); ?><?php echo esc_html($dentist_dental_care_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width: 100%;" src="<?php echo esc_url( $dentist_dental_care_theme->get_screenshot() ); ?>" />
				<div id="description-insidee">
					<?php
						$dentist_dental_care_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $dentist_dental_care_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'dentist-dental-care' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','dentist-dental-care'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( DENTIST_DENTAL_CARE_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'dentist-dental-care' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( DENTIST_DENTAL_CARE_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'dentist-dental-care' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( DENTIST_DENTAL_CARE_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'dentist-dental-care' ) ?></a>
					</div>
				</div>

				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'dentist-dental-care' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 80+ Perfect WordPress Theme In A Single Package at just $79."','dentist-dental-care'); ?></p>
					<p class="coupon"><?php esc_html_e('Get Our Theme Pack of 80+ WordPress Themes At 15% Off','dentist-dental-care'); ?><span class="coupon-code"><?php esc_html_e('"Bundleup15"','dentist-dental-care'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( DENTIST_DENTAL_CARE_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'dentist-dental-care' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','dentist-dental-care'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','dentist-dental-care'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','dentist-dental-care'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('LearnPress Campatiblity','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','dentist-dental-care'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
